Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059028 - rabbitmq restarts fail randomly
Summary: rabbitmq restarts fail randomly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rabbitmq-server
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1144100
TreeView+ depends on / blocked
 
Reported: 2014-01-29 02:33 UTC by Ian McLeod
Modified: 2014-09-18 16:25 UTC (History)
7 users (show)

Fixed In Version: rabbitmq-server-3.1.5-9.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1144100 (view as bug list)
Environment:
Last Closed: 2014-08-16 00:28:02 UTC


Attachments (Terms of Use)

Description Ian McLeod 2014-01-29 02:33:59 UTC
Description of problem:

I originally encountered this issue when installing OpenStack via devstack but have since been able to reproduce it by simply executing commands inside of a fresh F20 install.

Version-Release number of selected component (if applicable):

rabbitmq-server-3.1.5-1.fc20.noarch

How reproducible:

Occurs regularly but not 100% of the time

Steps to Reproduce:

/sbin/service rabbitmq-server stop
/sbin/service rabbitmq-server start
rabbitmqctl change_password guest newpassword


Actual results:

About half the time, on a freshly installed F20, this will fail, claiming the node cannot be contacted.  A typical error message:

[root@cob-dell5 ~]# rabbitmqctl change_password guest ozrootpw
Changing password for user "guest" ...
Error: unable to connect to node 'rabbit@cob-dell5': nodedown

DIAGNOSTICS
===========

nodes in question: ['rabbit@cob-dell5']

hosts, their running nodes and ports:
- cob-dell5: [{rabbitmqctl2648,48609}]

current node details:
- node name: 'rabbitmqctl2648@cob-dell5'
- home dir: /var/lib/rabbitmq
- cookie hash: 8DNoVu56TqDYWypW7YXDJw==

Expected results:

Changing password for user "guest" ...
...done.

Comment 1 Ian McLeod 2014-01-29 02:36:45 UTC
See the following thread on rdo-list for another example of this issue:

https://www.redhat.com/archives/rdo-list/2013-December/msg00058.html

As well as this more recent one, indicating tha the problem persists:

https://www.redhat.com/archives/rdo-list/2014-January/msg00164.html

Comment 2 Ian McLeod 2014-02-27 22:51:21 UTC
Note to anyone following.  The devstack installer has a commit that attempts to workaround this issue by retrying the rabbitmq restart:

https://github.com/openstack-dev/devstack/commit/f6c001faf6ac5728e07c6bbdaa67680395ed6f48

Still, it would be nice to sort this out on the rabbitmq side eventually.

Comment 3 Fedora Admin XMLRPC Client 2014-07-01 17:58:36 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2014-08-10 08:14:16 UTC
rabbitmq-server-3.1.5-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rabbitmq-server-3.1.5-9.fc20

Comment 5 lnie 2014-08-11 07:00:36 UTC
rabbitmq-server-3.1.5-9.fc20 works

Comment 6 Fedora Update System 2014-08-15 02:35:38 UTC
Package rabbitmq-server-3.1.5-9.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rabbitmq-server-3.1.5-9.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9337/rabbitmq-server-3.1.5-9.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-08-16 00:28:02 UTC
rabbitmq-server-3.1.5-9.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.